Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Class TSBagType

    java.lang.Object
      be.fgov.ehealth.timestamping.protocol.v2.TSBagType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:39:30+02:00",
               comments="JAXB RI v2.3.6")
    public class TSBagType

extends Object
implements Serializable

contains the tsbag and the oasis time stamp response

Java class for TSBagType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TSBagType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TSBagValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}SignResponse"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TSBagType()`

Method Summary
`SignResponse` | `getSignResponse()` Gets the value of the signResponse property.
`byte[]` | `getTSBagValue()` Gets the value of the tsBagValue property.
`void` | `setSignResponse(SignResponse value)` Sets the value of the signResponse property.
`void` | `setTSBagValue(byte[] value)` Sets the value of the tsBagValue property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSBagType

    public TSBagType()

Method Detail

### getTSBagValue

    public byte[] getTSBagValue()

  Gets the value of the tsBagValue property.

  Returns:
    possible object is byte[]

### setTSBagValue

    public void setTSBagValue(byte[] value)

  Sets the value of the tsBagValue property.

  Parameters:
    `value` - allowed object is byte[]

### getSignResponse

    public SignResponse getSignResponse()

  Gets the value of the signResponse property.

  Returns:
    possible object is `SignResponse`

### setSignResponse

    public void setSignResponse(SignResponse value)

  Sets the value of the signResponse property.

  Parameters:
    `value` - allowed object is `SignResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.